%bcond_with optional_tests

Summary:       Utility functions for checking references
Name:          perl-Ref-Util-XS
Version:       0.117
Release:       6%{?dist}
License:       MIT
URL:           https://metacpan.org/release/Ref-Util-XS
Source0:       https://cpan.metacpan.org/authors/id/X/XS/XSAWYERX/Ref-Util-XS-%{version}.tar.gz

BuildRequires: coreutils findutils gcc make
BuildRequires: perl-devel perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires: perl(Exporter) >= 5.57 perl(strict) perl(warnings) perl(XSLoader)
BuildRequires: perl(constant) perl(File::Spec) perl(Test::More) >= 0.94
%if %{with optional_tests}
BuildRequires: perl(B::Concise) perl(CPAN::Meta) >= 2.120900 perl(Readonly)
%endif

%{?perl_default_filter}

%description
Ref::Util::XS provides several functions for identifing references in a
faster and smarter way.

%prep
%autosetup -n Ref-Util-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/Ref/
%{perl_vendorarch}/Ref/
%{_mandir}/man3/Ref::Util::XS.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.117-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.117-5
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.117-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.117-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 rockerzhu <rockerzhu@tencent.com> - 0.117-2
- Move some buildrequires to optional tests

* Wed Aug 10 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.117-1
- package init.
